$TTL 1d


@ 1h IN SOA ns1.RFID-g1.gcom.di.uminho.pt. meumail.gmail.com. (
    2012020300 ; Serial
    60s ; Refresh
    1h ; Retry
    4w ; Expire
    10s) ; Negative

    IN NS ns1.RFID-g1.gcom.di.uminho.pt.
    IN NS ns2.RFID-g1.gcom.di.uminho.pt.
    IN NS ns3.RFID-g1.gcom.di.uminho.pt.

0000001.000001.sgtin.id.trabalhorfid.gcom.uminho.pt. IN NAPTR 0 0 "u" "EPC+html" "!^.*$!http://localhost/RFID/paciente.php!" .
0000001.000002.sgtin.id.trabalhorfid.gcom.uminho.pt. IN NAPTR 0 0 "u" "EPC+html" "!^.*$!http://localhost/RFID/medico.php!" .
0000001.000003.sgtin.id.trabalhorfid.gcom.uminho.pt. IN NAPTR 0 0 "u" "EPC+html" "!^.*$!http://localhost/RFID/medicamento.php!" .

ns1 IN A 192.168.2.102
ns2 IN A 192.168.2.101
ns3 IN A 192.168.2.106
